package com.eactive.eai.adapter.wca.cfg; 

import java.io.Serializable;

/** 
* 1. 기능 : LU 정보 Object 클래스
* 2. 처리 개요 : LU 정보를 Get/Set 한다.
* 3. 주의사항 
*
* @author  : 
* @version : v 1.0.0
* @see     : Serializable
* @since   :
*/
public class LUHostDataEx implements Serializable
{  
   /**
    * SNA 어댑터 서버 이름
    */
    private String      sSNAAdptrSevrName;
    /**
    * SNA 어댑터 서버 IP 주소
    */
    private String      sSNAAdptrSevrIPName;
   /**
    * SNA 어댑터 서버 Comment
    */
    private String      sSNAAdptrSevrCtnt;
     
    /** 
    * 1. 기능 :  Defualt Constructor
    * 2. 처리 개요 : 
    * 3. 주의사항 
    **/
    public LUHostDataEx() {
    }
    
   /** 
    * 1. 기능 : SNA 어댑터 서버 이름 설정 
    * 2. 처리 개요 : 
    * 3. 주의사항 
    * 
    * @param sSNAAdptrSevrName SNA 어댑터 서버 이름
    **/  
    public void setSNAAdptrSevrName(String sSNAAdptrSevrName) {
        if (sSNAAdptrSevrName == null) { sSNAAdptrSevrName = ""; }
        this.sSNAAdptrSevrName = sSNAAdptrSevrName.trim();   
    }
    
   /** 
    * 1. 기능 :  SNA 어댑터 서버 이름 반환
    * 2. 처리 개요 : 
    * 3. 주의사항 
    * 
    * @return    SNA 어댑터 서버 이름
    **/
    public String getSNAAdptrSevrName() {
        return this.sSNAAdptrSevrName;   
    }
    
   /** 
    * 1. 기능 : SNA 어댑터 서버 IP 주소 설정 
    * 2. 처리 개요 : 
    * 3. 주의사항 
    * 
    * @param sSNAAdptrSevrIPName SNA 어댑터 서버 IP 주소 
    **/  
    public void setSNAAdptrSevrIPName(String sSNAAdptrSevrIPName) {
        if (sSNAAdptrSevrIPName == null) { sSNAAdptrSevrIPName = ""; }
        this.sSNAAdptrSevrIPName = sSNAAdptrSevrIPName.trim();   
    }
    
    /** 
    * 1. 기능 :  SNA 어댑터 서버 IP 주소 반환
    * 2. 처리 개요 : 
    * 3. 주의사항 
    * 
    * @return    SNA 어댑터 서버 IP 주소
    **/
    public String getSNAAdptrSevrIPName() {
        return this.sSNAAdptrSevrIPName;   
    }
    
    /** 
    * 1. 기능 : SNA 어댑터 서버 Comment 설정 
    * 2. 처리 개요 : 
    * 3. 주의사항 
    * 
    * @param sSNAAdptrSevrCtnt SNA 어댑터 서버 Comment
    **/  
    public void setSNAAdptrSevrCtnt(String sSNAAdptrSevrCtnt) {
        if (sSNAAdptrSevrCtnt == null) { sSNAAdptrSevrCtnt = ""; }
        this.sSNAAdptrSevrCtnt = sSNAAdptrSevrCtnt.trim();   
    }
    
    /** 
    * 1. 기능 :  SNA 어댑터 서버 Comment 반환
    * 2. 처리 개요 : 
    * 3. 주의사항 
    * 
    * @return    SNA 어댑터 서버 Comment
    **/
    public String getSNAAdptrSevrCtnt() {
        return this.sSNAAdptrSevrCtnt; 
    }
    
    
    /** 
    * 1. 기능 :  LU 정보 반환
    * 2. 처리 개요 : 
    * 3. 주의사항 
    *
    * @return LU 정보
    **/
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("LUHostData[ 어댑터 서버 이름 =").append(sSNAAdptrSevrName);
        sb.append(", 어댑터 서버 IP =").append(sSNAAdptrSevrIPName);
        sb.append(", 어댑터 서버 설명 =").append(sSNAAdptrSevrCtnt);
        sb.append(" ]");
        return sb.toString();   
    }
}
